IOSS 2.0

Classes | Namespaces | Macros | Functions | Variables
io_shell_ts.C File Reference
`#include <Ionit_Initializer.h>`
`#include <Ioss_CodeTypes.h>`
`#include <Ioss_FileInfo.h>`
`#include <Ioss_MeshType.h>`
`#include <Ioss_ParallelUtils.h>`
`#include <Ioss_ScopeGuard.h>`
`#include <Ioss_SerializeIO.h>`
`#include <Ioss_SubSystem.h>`
`#include <Ioss_SurfaceSplit.h>`
`#include <Ioss_Transform.h>`
`#include <Ioss_Utils.h>`
`#include <algorithm>`
`#include <cassert>`
`#include <cstring>`
`#include <fstream>`
`#include <iomanip>`
`#include <iostream>`
`#include <pthread.h>`
`#include <stddef.h>`
`#include <stdlib.h>`
`#include <string>`
`#include <sys/times.h>`
`#include <unistd.h>`
`#include <vector>`
`#include "shell_interface.h"`
Include dependency graph for io_shell_ts.C:

## Classes
struct | anonymous_namespace{io_shell_ts.C}::my_numpunct
struct | anonymous_namespace{io_shell_ts.C}::DataPool
struct | anonymous_namespace{io_shell_ts.C}::param

## Namespaces
| anonymous_namespace{io_shell_ts.C}

## Macros
#define | OUTPUT

## Functions
void | anonymous_namespace{io_shell_ts.C}::show_step (int istep, double time)
void | anonymous_namespace{io_shell_ts.C}::transfer_nodeblock (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{io_shell_ts.C}::transfer_elementblocks (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{io_shell_ts.C}::transfer_edgeblocks (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{io_shell_ts.C}::transfer_faceblocks (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{io_shell_ts.C}::transfer_nodesets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{io_shell_ts.C}::transfer_edgesets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{io_shell_ts.C}::transfer_facesets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{io_shell_ts.C}::transfer_elemsets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{io_shell_ts.C}::transfer_sidesets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{io_shell_ts.C}::transfer_commsets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{io_shell_ts.C}::transfer_coordinate_frames (Ioss::Region &region, Ioss::Region &output_region, bool debug)
template<typename T >
void | anonymous_namespace{io_shell_ts.C}::transfer_fields (const std::vector< T * > &entities, Ioss::Region &output_region, Ioss::Field::RoleType role, const IOShell::Interface &interFace)
void | anonymous_namespace{io_shell_ts.C}::transfer_fields (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role, const std::string &prefix="")
template<typename T >
void | anonymous_namespace{io_shell_ts.C}::transfer_field_data (const std::vector< T * > &entities, Ioss::Region &output_region, Ioss::Field::RoleType role, const IOShell::Interface &interFace)
void | anonymous_namespace{io_shell_ts.C}::transfer_field_data (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role, const IOShell::Interface &interFace, const std::string &prefix="")
void | anonymous_namespace{io_shell_ts.C}::transfer_properties (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge)
void | anonymous_namespace{io_shell_ts.C}::transfer_qa_info (Ioss::Region &in, Ioss::Region &out)
void | anonymous_namespace{io_shell_ts.C}::transform_fields (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role)
void | anonymous_namespace{io_shell_ts.C}::transform_field_data (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role, const IOShell::Interface &interFace)
void | anonymous_namespace{io_shell_ts.C}::transfer_field_data_internal (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, const std::string &field_name, const IOShell::Interface &interFace)
void | anonymous_namespace{io_shell_ts.C}::file_copy (IOShell::Interface &interFace)
template<typename INT >
void | anonymous_namespace{io_shell_ts.C}::set_owned_node_count (Ioss::Region &region, int my_processor, INT dummy)
int | main (int argc, char *argv[])
void * | anonymous_namespace{io_shell_ts.C}::transfer_fields_ts (void *varg)
void * | anonymous_namespace{io_shell_ts.C}::transfer_field_data_ts (void *varg)
template<typename T >
void | anonymous_namespace{io_shell_ts.C}::transfer_blocks (const std::vector< T * > &blocks, Ioss::Region &output_region, bool debug)
template<typename T >
void | anonymous_namespace{io_shell_ts.C}::transfer_sets (const std::vector< T * > &sets, Ioss::Region &output_region, bool debug)

## Variables
int | anonymous_namespace{io_shell_ts.C}::rank = 0
bool | anonymous_namespace{io_shell_ts.C}::mem_stats = false
std::string | anonymous_namespace{io_shell_ts.C}::codename
std::string | anonymous_namespace{io_shell_ts.C}::version = "4.7"

## Macro Definition Documentation

## ◆ OUTPUT

#define OUTPUT

Value:
if (rank == 0) \
std::cerr

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

anonymous_namespace{io_shell_ts.C}::rank
int rank
Definition: io_shell_ts.C:121